%define debug_package %{nil} 

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos}0%{?amzn} == 70
%define python3_pkgversion 36
%endif

%define name dfimagetools
%define version 20230526
%define release 1

Summary:	Storage media image tools
Name:		%{name}
Version:	%{version}
Release:	%{release}%{?dist}
Source0:	%{name}-%{version}.tar.gz
License:	Apache License, Version 2.0
Group:		Development/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix:	 	%{_prefix}
BuildArch: 	noarch
Vendor: 	Log2Timeline maintainers <log2timeline-maintainers@googlegroups.com>
Packager: 	Log2Timeline maintainers <log2timeline-maintainers@googlegroups.com>
Url:		https://github.com/log2timeline/dfimagetools
BuildRequires:	python%{python3_pkgversion}-devel, python%{python3_pkgversion}-setuptools

%description
Collection of tools to process storage media images.

%if 0%{?with_python3}
%package -n python%{python3_pkgversion}-%{name}
Requires:	libbde-python%{python3_pkgversion} >= 20220121
Requires:	libcreg-python%{python3_pkgversion} >= 20200725
Requires:	libewf-python%{python3_pkgversion} >= 20131210
Requires:	libfsapfs-python%{python3_pkgversion} >= 20220709
Requires:	libfsext-python%{python3_pkgversion} >= 20220829
Requires:	libfsfat-python%{python3_pkgversion} >= 20220925
Requires:	libfshfs-python%{python3_pkgversion} >= 20220831
Requires:	libfsntfs-python%{python3_pkgversion} >= 20211229
Requires:	libfsxfs-python%{python3_pkgversion} >= 20220829
Requires:	libfvde-python%{python3_pkgversion} >= 20220121
Requires:	libfwnt-python%{python3_pkgversion} >= 20210717
Requires:	libluksde-python%{python3_pkgversion} >= 20220121
Requires:	libmodi-python%{python3_pkgversion} >= 20210405
Requires:	libphdi-python%{python3_pkgversion} >= 20220228
Requires:	libqcow-python%{python3_pkgversion} >= 20201213
Requires:	libregf-python%{python3_pkgversion} >= 20201002
Requires:	libsigscan-python%{python3_pkgversion} >= 20191221
Requires:	libsmdev-python%{python3_pkgversion} >= 20140529
Requires:	libsmraw-python%{python3_pkgversion} >= 20140612
Requires:	libvhdi-python%{python3_pkgversion} >= 20201014
Requires:	libvmdk-python%{python3_pkgversion} >= 20140421
Requires:	libvsapm-python%{python3_pkgversion} >= 20230506
Requires:	libvsgpt-python%{python3_pkgversion} >= 20211115
Requires:	libvshadow-python%{python3_pkgversion} >= 20160109
Requires:	libvslvm-python%{python3_pkgversion} >= 20160109
Requires:	python%{python3_pkgversion}-artifacts >= 20220219
Requires:	python%{python3_pkgversion}-cffi >= 1.9.1
Requires:	python%{python3_pkgversion}-cryptography >= 2.0.2
Requires:	python%{python3_pkgversion}-dfdatetime >= 20221112
Requires:	python%{python3_pkgversion}-dfvfs >= 20220831
Requires:	python%{python3_pkgversion}-dfwinreg >= 20211207
Requires:	python%{python3_pkgversion}-dtfabric >= 20220219
Requires:	python%{python3_pkgversion}-idna >= 2.5
Requires:	python%{python3_pkgversion}-pytsk3 >= 20210419
Requires:	python%{python3_pkgversion}-pyxattr >= 0.7.2
%if 0%{?centos} == 7
Requires:       python%{python3_pkgversion}-PyYAML >= 3.10
%else
Requires:	python%{python3_pkgversion}-pyyaml >= 3.10
%endif
Summary:	Python 3 module of Storage media image tools

%description -n python%{python3_pkgversion}-%{name}
Collection of tools to process storage media images.
%endif

%package -n %{name}-tools
Requires:	python%{python3_pkgversion}-dfimagetools >= %{version}
Summary:	Tools for Storage media image tools

%description -n %{name}-tools
Collection of tools to process storage media images.

%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}/usr/lib/python*/site-packages/*.egg-info/requires.txt
rm -rf %{buildroot}/usr/share/doc/%{name}/

%clean
rm -rf %{buildroot}

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{name}
%license LICENSE
%doc README
%{python3_sitelib}/dfimagetools
%{python3_sitelib}/dfimagetools*.egg-info
%endif

%files -n %{name}-tools
%{_bindir}/*.py

%changelog
* Fri May 26 2023 Lawrence R. Rogers <lrr@cert.org> 20230526-1
* Release 20230526-1
	Version as of 20230526.
	Update dependencies.

* Sat Mar 12 2022 log2timeline development team <log2timeline-dev@googlegroups.com> 20220312-1
- Auto-generated
